Bug 18007 - Definition of the output element requires amending
Definition of the output element requires amending
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
All All
: P2 minor
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 08:00 UTC by contributor
Modified: 2012-10-06 00:39 UTC (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 08:00:29 UTC
This was was cloned from bug 14379 as part of operation convergence.
Originally filed: 2011-10-04 16:11:00 +0000
Original reporter: Rich Clark <hello@richclarkdesign.com>

================================================================================
 #0   Rich Clark                                      2011-10-04 16:11:09 +0000 
--------------------------------------------------------------------------------
I've seen several examples of the output element being used in conjunction with an input (e.g. type=range) to show the current value of the input. An example can be seen here - http://jsfiddle.net/robertc/YCEKQ/

This seems a worthwhile use case in order to provide feedback for a user when they are using a range input type where the current value isn't visible. 

Currently the spec describes output as being "the result of a calculation."
http://dev.w3.org/html5/spec/the-button-element.html#the-output-element

Moving a slider (type=range) isn't calculating anything, it's simply displaying the current value. Therefore I feel the definition needs amending. I suggest widening the definition to something like: "the result of a calculation or user action on an input element."

I briefly brought this up on IRC for reference. http://krijnhoetmer.nl/irc-logs/whatwg/20111004#l-524
================================================================================
Comment 1 Silvia Pfeiffer 2012-10-06 00:39:32 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/b570cd35369653eb0e1e0017dbc6ece165eebe92
Rationale: accepted WHATWG change